export declare enum GlobalEventTypes {
    ErrorsLoad = "fb:errors:load",
    FeaturesLoaded = "fb:features:loaded",
    FeatureValueChanged = "fb:feature:value:changed",
    NavigationSelect = "fb:navigation:select"
}
export interface INavigationSelectArgs {
    id: string;
}
export default class GlobalEvents extends Jade.EventBus {
    errorsLoadSubscribe(callback: () => void): Jade.EventBusSubscription;
    featuresLoadedSubscribe(callback: () => void): Jade.EventBusSubscription;
    featureValueChangedSubscribe(callback: () => void): void;
    navigationSelectSubscribe(callback: (e: INavigationSelectArgs) => void): Jade.EventBusSubscription;
    errorsLoadPublish(): void;
    featuresLoadedPublish(): void;
    featureValueChangedPublish(): void;
    navigationSelectPublish(e: INavigationSelectArgs): void;
}
